# xorg.conf
# Nvidia 5200 TV-out

Section "Files"
  FontPath        "/usr/share/X11/fonts/misc"
  FontPath        "/usr/share/X11/fonts/cyrillic"
  FontPath        "/usr/share/X11/fonts/100dpi/:unscaled"
  FontPath        "/usr/share/X11/fonts/75dpi/:unscaled"
  FontPath        "/usr/share/X11/fonts/Type1"
  FontPath        "/usr/share/X11/fonts/CID"
  FontPath        "/usr/share/X11/fonts/100dpi"
  FontPath        "/usr/share/X11/fonts/75dpi"
  # paths to defoma fonts
  FontPath        "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
  FontPath        "/var/lib/defoma/x-ttcidfont-conf.d/dirs/CID"
EndSection

Section "Module"
  Load    "GLcore"
  Load    "i2c"
  Load    "bitmap"
  Load    "ddc"
  Load    "dri"
  Load    "extmod"
  Load    "freetype"
  Load    "glx"
  Load    "int10"
  Load    "type1"
  Load    "vbe"
EndSection

Section "InputDevice"
  Identifier      "Generic Keyboard"
  Driver          "kbd"
  Option          "CoreKeyboard"
  Option          "XkbRules"      "xorg"
  Option          "XkbModel"      "pc105"
  Option          "XkbLayout"     "gb"
EndSection

Section "InputDevice"
  Identifier      "Configured Mouse"
  Driver          "mouse"
  Option          "CorePointer"
  Option          "Device"                "/dev/input/mice"
  Option          "Protocol"              "ImPS/2"
  Option          "Emulate3Buttons"       "true"
  Option          "ZAxisMapping"          "4 5"
EndSection

Section "Device"
  Identifier      "NVIDIA Corporation NV34 [GeForce FX 5200]"
  Driver          "nvidia"
  BusID           "PCI:1:0:0"
  Option          "ConnectedMonitor"      "TV"
  Option          "TVStandard"            "PAL-I"
  Option          "TVOutFormat"           "SVIDEO"
# Option          "TVOutFormat"           "COMPOSITE"
# Option          "Composite"             "Disable"
  Option          "TVOverScan"            "0.7"
  Option          "RenderAccel"           "true"
  Option          "AllowGLXWithComposite" "true"
EndSection

Section "Monitor"
  Identifier      "Generic Monitor"
  Option          "DPMS"
 HorizSync       12-21
 VertRefresh     49-51
 DisplaySize     260 195
 Modeline "720x576" 12.58 720 752 792 824 576 589 592 605 interlace
 Modeline "800x600" 14.50 800 832 880 912 600 614 617 631 interlace
 Modeline "1024x768" 23.77 1024 1056 1144 1176 768 785 789 807 interlace
EndSection

Section "Screen"
  Identifier      "Default Screen"
  Device          "NVIDIA Corporation NV34 [GeForce FX 5200]"
  Monitor         "Generic Monitor"
  DefaultDepth    24
  SubSection "Display"
    Depth           24
    Modes           "1024x768" "800x600" "720x576"
    #Modes           "720x576"
  EndSubSection
EndSection

Section "ServerLayout"
  Identifier      "Default Layout"
  Screen          "Default Screen"
  InputDevice     "Generic Keyboard"
  InputDevice     "Configured Mouse"
EndSection

Section "DRI"
  Mode    0666
EndSection

